Announcement

Collapse
No announcement yet.

[Réglé] Problème avec certains plugins

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Réglé] Problème avec certains plugins

    Bonjour à toutes et à tous,

    J'ai des soucis avec certains plugins de Nagios. En effet, pour la plupart des plugins .pl lorsque j'essaie de les exécuter, j'obtiens l'erreur :
    Par exemple, pour check_snmp_load.pl :
    Can't locate Net/SNMP.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.8.7 /usr/local/share/perl/5.8.7 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 /usr/local/lib/site_perl .) at ./check_snmp_load.pl line 16.
    BEGIN failed--compilation aborted at ./check_snmp_load.pl line 16.
    J'ai donc recherché le problème, et je suis tombé sur la FAQ de manubulon :
    http://nagios.manubulon.com/faq.html#FAQ1

    Mais voilà, lorsque j'essaie d'installer avec CPAN, j'obtiens les erreurs suivantes :
    Running make test
    Can't test without successful make
    Running make install
    make had returned bad status, install seems impossible
    Ca fait 3 jours que je me prends la tête dessus, et j'ai rien trouvé pour le moment ! Merci de votre aide,

    LaBlouSe
    Nagios 2.6
    Oreon 1.4
    Ubuntu Server 6.06

    Mieux vaut être bourré que con, ça dure moins longtemps

  • #2
    En console, essaie de faire :
    Code:
    # pear upgrade DB
    Ensuite install de Net::SNMP :
    Code:
    #perl -MCPAN -e shell
    cpan> install Net::SNMP
    NMS avec Nagios 2.9 - Nagios-Plugins 1.4.8 - Oreon 1.4-p5

    Comment


    • #3
      Merci de m'aider,
      Malheureusement quand je fais l'upgrade il me dit "nothing to upgrade".
      Mais j'ajoute que lorsque je fais l'install il me dit :
      Checking if your kit is complete...
      Looks good
      Writing Makefile for Net::SNMP
      -- NOT OK
      Je sais pas d'où vient cette erreur ! : (
      Nagios 2.6
      Oreon 1.4
      Ubuntu Server 6.06

      Mieux vaut être bourré que con, ça dure moins longtemps

      Comment


      • #4
        Hum... étrange.

        Je ne suis pas un as de PEAR, mais tu es logué sous quel user en console quand tu veux faire l'install ?
        Essaies de le faire depuis le compte root si ce n'est pas déjà le cas.
        NMS avec Nagios 2.9 - Nagios-Plugins 1.4.8 - Oreon 1.4-p5

        Comment


        • #5
          Ben je le fais sous mon compte administrateur et je fais "sudo perl -MCPAN -e shell".
          Nagios 2.6
          Oreon 1.4
          Ubuntu Server 6.06

          Mieux vaut être bourré que con, ça dure moins longtemps

          Comment


          • #6
            Moueais c'est étrange qu'il ne puisse pas écrire le Makefile (comme si tu n'avais pas les droits) alors que t'es en root.

            Faudrait tenter de réinstaller Pear, pour le mettre à jour et refaire sa config.
            Je vais essayer de retrouver comment faire ça. ><

            EDIT : bon bah c'est simple :
            Code:
            #perl -MCPAN -e shell
            Puis :
            Code:
            cpan> upgrade pear
            Last edited by c0bw3b; 7 June 2007, 12:34.
            NMS avec Nagios 2.9 - Nagios-Plugins 1.4.8 - Oreon 1.4-p5

            Comment


            • #7
              c'est un probléme Perl, PEAR n'a rien a voir ici.


              as tu essayé une
              Code:
              sudo apt-get install libnet-snmp-perl
              (http://wiki.oreon-project.org/index....reon1.4-dapper)
              StatusMap Module - NDO Tools Module - ImportCSV Module - SNMP-UI Module - PDFReports Module
              Dons Paypal

              Comment


              • #8
                Merci Wistof, en effet je ne sais pas pourquoi, surement un oubli de ma part, le paquet libnet-snmp-perl n'était pas installé.
                Par contre l'apt-get n'a pas fonctionné, j'ai dû téléchargé directement le paquet sur le ftp de Debian ici

                Merci à vous deux, je vais me débrouiller maintenant pour faire fonctionner tout ça !

                A+
                Nagios 2.6
                Oreon 1.4
                Ubuntu Server 6.06

                Mieux vaut être bourré que con, ça dure moins longtemps

                Comment

                Working...
                X